org.apache.solr.client.solrj.impl

## Class LBHttpSolrClient.ServerWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.impl.LBHttpSolrClient.ServerWrapper

Enclosing class:
  LBHttpSolrClient

    protected static class LBHttpSolrClient.ServerWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`LBHttpSolrClient.ServerWrapper(HttpSolrClient client)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getKey()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LBHttpSolrClient.ServerWrapper

    public LBHttpSolrClient.ServerWrapper(HttpSolrClient client)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getKey

    public String getKey()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`